package com.zanxiang.manage.domain.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2022-11-23
 * @description : 推广渠道添加或者更新
 */
@Data
public class PromoChannelAddUpdateParam {

    /**
     * 账号联动选择列表主键id
     */
    @ApiModelProperty(notes = "账号联动选择列表主键id")
    @NotNull(message = "账号联动选择列表主键id不可为空")
    private Long promoAccountId;

    /**
     * 媒体版位位置联动选择列表主键id
     */
    @ApiModelProperty(notes = "媒体版位位置联动选择列表主键id")
    @NotNull(message = "媒体版位位置联动选择列表主键id不可为空")
    private Long promoSiteId;

    /**
     * 推广服务商id
     */
    @ApiModelProperty(notes = "推广服务商id")
    @NotNull(message = "推广服务商id不可为空")
    private Integer providerId;

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    @NotNull(message = "游戏id不可为空")
    private Long gameId;

    /**
     * 推广渠道数量
     */
    @ApiModelProperty(notes = "推广渠道数量")
    private Integer channelCount;

    /**
     * 备注
     */
    @ApiModelProperty(notes = "备注")
    private String remark;
}
