package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.dto.PromoMediaDTO;
import com.zanxiang.manage.domain.params.PromoMediaAddUpdateParam;
import com.zanxiang.manage.domain.params.PromoMediaListParam;
import com.zanxiang.manage.domain.vo.PromoMediaChoiceVO;
import com.zanxiang.manage.domain.vo.PromoMediaListVO;
import com.zanxiang.mybatis.entity.PromoMedia;

import java.util.List;
import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2022-11-17
 * @description : 推广媒体
 */
public interface IPromoMediaService extends IService<PromoMedia> {

    /**
     * 推广媒体信息
     *
     * @return {@link Map}<{@link Long}, {@link PromoMediaDTO}>
     */
    Map<Long, PromoMediaDTO> promoMediaMap();

    /**
     * 推广媒体选择列表
     *
     * @return {@link List}<{@link PromoMediaChoiceVO}>
     */
    List<PromoMediaChoiceVO> promoMediaChoiceList();

    /**
     * 查询游戏标签列表
     *
     * @param param : 游戏标签列表查询呢参数
     * @return {@link IPage}<{@link PromoMediaListVO}>
     */
    IPage<PromoMediaListVO> list(PromoMediaListParam param);

    /**
     * 推广媒体新增或者更新
     *
     * @param param : 更新参数
     * @return {@link Boolean}
     */
    Boolean addOrUpdate(PromoMediaAddUpdateParam param);

    /**
     * 根据主键更新状态
     *
     * @param id     : 主键id
     * @param status : 状态
     * @return {@link Boolean}
     */
    Boolean statusUpdate(Long id, Integer status);
}
