package com.zanxiang.mybatis.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.*;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-10-26
 * @description : 推广媒体
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_promo_media")
public class PromoMedia {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 推广媒体
     */
    private String name;

    /**
     * 推广媒体类型
     */
    private String types;

    /**
     * 地址
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String address;

    /**
     * 公司
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String company;

    /**
     * 状态, 0 : 可用, 1: 禁用
     */
    private Integer status;

    /**
     * 备注
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String remark;

    /**
     * 1:删除,0: 正常
     */
    @TableLogic
    private Integer isDelete;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}