package com.zanxiang.sdk.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zanxiang.mybatis.entity.PromoChannel;
import com.zanxiang.mybatis.mapper.PromoChannelMapper;
import com.zanxiang.sdk.service.IPromoChannelService;
import lombok.extern.slf4j.Slf4j;
import org.apache.logging.log4j.util.Strings;
import org.springframework.stereotype.Service;

/**
 * @author : lingfeng
 * @time : 2022-10-31
 * @description : 推广渠道
 */
@Slf4j
@Service
public class PromoChannelServiceImpl extends ServiceImpl<PromoChannelMapper, PromoChannel> implements IPromoChannelService {

    @Override
    public Long getAgentIdByChannel(String channel) {
        if (Strings.isBlank(channel)) {
            return 0L;
        }
        PromoChannel promoChannel = this.getOne(new LambdaQueryWrapper<PromoChannel>().eq(PromoChannel::getChannel, channel));
        if (promoChannel == null) {
            return 0L;
        }
        return promoChannel.getId();
    }
}
